# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
# Description: Project XULRunner 1.9
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

MOZCLIENT_TARGET     := xulrunner-1.9-orig
MOZCLIENT_APPNAME    := xulrunner-1.9
MOZCLIENT_PROJECT    := xulrunner
MOZCLIENT_FILE       := mozilla/config/milestone.txt
MOZCLIENT_GETVERSION := tail -1 $(MOZCLIENT_FILE) | sed -e 's/pre//; s/\([ab]\)\([0-9]*\)/~\1\2/'
MOZCLIENT_URL        := 'http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=SeaMonkeyBrowser&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=week&mindate=&maxdate=&cvsroot=%2Fcvsroot'
MOZCLIENT_GETDATE     = wget -O - -q --read-timeout=10 --user-agent='' --tries=3 $(MOZCLIENT_URL) 2> /dev/null | grep "href='http://webtools" | head -1 | tr '<>' '@' | cut -d@ -f5 | tr -d ':-' | sed -e 's/&nbsp;/t/'
MOZCLIENT_WANTMOZDIR := 1

include /usr/share/mozilla-devscripts/mozclient.mk

COMPARE_FILTER_PRE_IN	= sed \
	-e 's,foo,foo,' \
	$(NULL)

COMPARE_FILTER_PRE_OUT	= sed \
	-e 's,^usr/share/idl/.*,,' \
	-e 's,^usr/include/.*,,' \
	-e 's,^usr/lib/pkgconfig/.*,,' \
	-e 's,^usr/lib/xulrunner-devel.*,,' \
	-e 's,^usr/lib/xulrunner-1.9[^/]*/,,' \
	-e 's,^etc/gre.d/.*,,' \
	$(NULL)

COMPARE_FILTER_IN	= sed \
	-e 's,usr/lib/xulrunner-[^/]*/extensions,usr/lib/xulrunner-addons/extensions,' \
	-e 's,usr/lib/xulrunner-[^/]*/plugins,usr/lib/xulrunner-addons/plugins,' \
	$(NULL)

COMPARE_FILTER_OUT	= sed \
	-e 's,^DEBIAN/.*,,' \
	-e 's,^usr/share/doc/.*,,' \
	$(NULL)

include /usr/share/mozilla-devscripts/compare.mk
